from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Int, File, Boolean

Design_Thermoswitch_Py_V0_1_0 = CommandToolBuilder(tool="design_thermoswitch.py", base_command=["design-thermoswitch.py"], inputs=[ToolInput(tag="in_package", input_type=String(optional=True), prefix="--package", doc=InputDocumentation(doc="Chose the calculation package: hotknots, pkiss,\nnupack, or vrna/ViennaRNA (default: vrna)")), ToolInput(tag="in_number", input_type=Int(optional=True), prefix="--number", doc=InputDocumentation(doc="Number of designs to generate")), ToolInput(tag="in_stop", input_type=String(optional=True), prefix="--stop", doc=InputDocumentation(doc="Stop optimization run if no better solution is aquired\nafter (stop) trials.")), ToolInput(tag="in_mode", input_type=String(optional=True), prefix="--mode", doc=InputDocumentation(doc="Mode for getting a new sequence: sample,\nsample_plocal, sample_clocal, random")), ToolInput(tag="in_kill", input_type=String(optional=True), prefix="--kill", doc=InputDocumentation(doc="Timeout value of graph construction in seconds.\n(default: infinite)")), ToolInput(tag="in_graph_ml", input_type=File(optional=True), prefix="--graphml", doc=InputDocumentation(doc="Write a graphml file with the given filename.")), ToolInput(tag="in_csv", input_type=File(optional=True), prefix="--csv", doc=InputDocumentation(doc="Write output as semi-colon csv file to stdout")), ToolInput(tag="in_progress", input_type=Boolean(optional=True), prefix="--progress", doc=InputDocumentation(doc="Show progress of optimization")), ToolInput(tag="in_debug", input_type=Boolean(optional=True), prefix="--debug", doc=InputDocumentation(doc="Show debug information of library"))], outputs=[ToolOutput(tag="out_csv", output_type=File(optional=True), selector=InputSelector(input_to_select="in_csv", type_hint=File()), doc=OutputDocumentation(doc="Write output as semi-colon csv file to stdout"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Design_Thermoswitch_Py_V0_1_0().translate("wdl", allow_empty_container=True)

